//
//  VideoExportController.swift
//  BFRecordScreenKit_Example
//
//  Created by 胡志强 on 2021/11/25.
//  Copyright © 2021 CocoaPods. All rights reserved.
//

import Foundation
import BFRecordScreenKit
import BFUIKit
import UIKit

class VideoExportController: BFBaseViewController{
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        let backV = UIView(frame: CGRect(x: 10, y: 100, width: cScreenWidth - 20, height: 30))
        backV.backgroundColor = .gray
        view.addSubview(backV)

        let progressView = UIView(frame: CGRect(x: 10, y: 100, width: 0, height: 30))
        progressView.backgroundColor = .red
        view.addSubview(progressView)
        
        let la = UILabel(frame: backV.frame)
        la.textColor = .white
        la.text = "0%"
        la.font = UIFont.systemFont(ofSize: 18)
        view.addSubview(la)
        
        let export = BFRecordExport()
        export.progress = { progress in
            progressView.frame = CGRect(x: 10, y: 100, width: (cScreenWidth - 20) * CGFloat(progress), height: 30)
            la.text = String(format: "%d", Int(progress*100))
        }
        export.start()
    }
}
